# TQextScintillaLexerLua Class Reference

The TQextScintillaLexerLua class encapsulates the Scintilla Lua lexer. More...

`#include <tqextscintillalexerlua.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- LineComment = 2
- Number = 4
- Keyword = 5
- String = 6
- Character = 7
- LiteralString = 8
- Preprocessor = 9
- Operator = 10
- Identifier = 11
- UnclosedString = 12
- BasicFunctions = 13
- StringTableMathsFunctions = 14
- CoroutinesIOSystemFacilities = 15
- enum {
  Default = 0, Comment = 1, LineComment = 2,
  Number = 4, Keyword = 5, String = 6,
  Character = 7, LiteralString = 8, Preprocessor = 9,
  Operator = 10, Identifier = 11, UnclosedString = 12,
  BasicFunctions = 13, StringTableMathsFunctions = 14, CoroutinesIOSystemFacilities = 15
  }

## Public Slots

- virtual void setFoldCompact (bool fold)

## Public Member Functions

- TQextScintillaLexerLua (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerLua ()
- const char * language () const
- const char * lexer () const
- const char * blockStart (int *style=0) const
- int braceStyle () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The TQextScintillaLexerLua class encapsulates the Scintilla Lua lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Lua lexer.

Enumerator:

  Default | The default.
  Comment | A block comment.
  LineComment | A line comment.
  Number | A number.
  Keyword | A keyword.
  String | A string.
  Character | A character.
  LiteralString | A literal string.
  Preprocessor | Preprocessor.
  Operator | An operator.
  Identifier | An identifier.
  UnclosedString | The end of a line where a string is not closed.
  BasicFunctions | Basic functions.
  StringTableMathsFunctions | String, table and maths functions.
  CoroutinesIOSystemFacilities | Coroutines, I/O and system facilities.

## Constructor & Destructor Documentation

TQextScintillaLexerLua::TQextScintillaLexerLua | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerLua with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerLua::~TQextScintillaLexerLua | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerLua instance.

## Member Function Documentation

const char* TQextScintillaLexerLua::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerLua::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerLua::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerLua::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexer.

TQFont TQextScintillaLexerLua::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexer.

const char* TQextScintillaLexerLua::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerLua::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerLua::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexer.

void TQextScintillaLexerLua::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerLua::foldCompact | ( |  | ) | const

Returns TRUE if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void TQextScintillaLexerLua::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then trailing blank lines are included in a fold block. The default is TRUE.

See also:
  foldCompact()

bool TQextScintillaLexerLua::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerLua::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from TQextScintillaLexer.